all:
  dense:
  deepfried:
  deepstrom_learned_no_kernel_param:
  deepstrom_learned_gamma:
  deepstrom_real_no_kernel_param:
  deepstrom_real_gamma:

base:
  data: ["--mv"]
  epoch_numbers: {"-e": [150]}
  batch_sizes: {"-s": [128]}
  val_size: {"-v": [1000]}
  seed: {"-a": "range(10)"}

gammavalue:
  gamma: {"-g": [3.2728301885982272e-06]}

dense:
  network: ["dense"]
  base:
  repr_dim: {"-D": [2, 4, 8, 16, 32, 64, 128, 1024]}

deepfried:
  network: ["deepfriedconvnet"]
  base:
  gammavalue:
  nbstacks: {"-N": [1]}

deepstrom_base:
  network: ["deepstrom"]
  base:
  nys_size: {"-m": [2, 4, 8, 16, 32, 64, 128]}

deepstrom_real:
  deepstrom_base:
  real_nys: ["-r"]

deepstrom_real_gamma:
  deepstrom_real:
  gammavalue:
  kernel: ["-R"]

deepstrom_real_no_kernel_param:
  deepstrom_real:
  kernel: ["-C", "-L"]

deepstrom_learned:
  deepstrom_base:

deepstrom_learned_gamma:
  deepstrom_learned:
  gammavalue:
  kernel: ["-R"]

deepstrom_learned_no_kernel_param:
  deepstrom_learned:
  kernel: ["-C", "-L"]
